<?php

namespace Lc\ShopBundle\Controller;


use Doctrine\ORM\EntityManagerInterface;
use Lc\ShopBundle\Context\CreditConfigInterface;
use Lc\ShopBundle\Form\CreditConfigType;

class CreditConfigController extends AbstractController
{

        protected $repo;

        public function __construct(EntityManagerInterface $entityManager)
        {
                //Cette valeur sera récrite dans le AbstractController pour qu'elle pointe vers l'entité et non plus l'interface
                $this->class = CreditConfigInterface::class;
                $this->type = CreditConfigType::class;
                $this->template = "default";
                $this->routePrefix = "lc_shop_credit_config";

                parent::__construct($entityManager);

        }

}
